%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Module-CPANfile
Version:       1.1004
Release:       2mamba
Summary:       Module::CPANfile - Parse cpanfile
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://search.cpan.org/CPAN/authors/id/M/MI/MIYAGAWA/Module-CPANfile-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-CPAN-Meta
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
Requires:      perl >= %perl_major_ver

%description
Module::CPANfile - Parse cpanfile.

%prep
%setup -q -n Module-CPANfile-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
#% make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE
## note: eventually add the remaining documents (if any)
# %doc README

%changelog
* Mon Apr 17 2023 Sdk Build System <sdk@mambasoft.it> 1.1004-2mamba
- rebuilt with perl 5.36.0

* Tue Apr 21 2020 Automatic Build System <autodist@mambasoft.it> 1.1004-1mamba
- automatic update by autodist

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 1.1002-1mamba
- automatic update by autodist

* Sun Jan 03 2016 Automatic Build System <autodist@mambasoft.it> 1.1001-1mamba
- automatic update by autodist

* Sun Oct 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1000-1mamba
- package created using the webbuild interface
